package com.alibaba.druid.sql.dialect.mysql.ast.statement;

import com.alibaba.druid.sql.ast.SQLExpr;
import com.alibaba.druid.sql.dialect.mysql.visitor.MySqlASTVisitor;

public class MySqlShowCreateEventStatement extends MySqlStatementImpl implements MySqlShowStatement {
   private SQLExpr eventName;

   public void accept0(MySqlASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.eventName);
      }

      visitor.endVisit(this);
   }

   public SQLExpr getEventName() {
      return this.eventName;
   }

   public void setEventName(SQLExpr eventName) {
      this.eventName = eventName;
   }
}
